## Struct allowed_empty

zeep::xml::doctype::allowed_empty

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/xml/doctype.hpp>

    struct allowed_empty : public zeep::xml::doctype::allowed_base {

      // public member functions
      virtual state_ptr create_state() const;
      virtual void print(std::ostream &);
    };

## Description

### `allowed_empty` public member functions

1.     virtual state_ptr create_state() const;

2.     virtual void print(std::ostream & os);